using System;
using System.Windows.Forms;

namespace VideoCaptureLibraryDemo
{
    public partial class CaptureStartTimeDialog : Form
    {
        public CaptureStartTimeDialog()
        {
            InitializeComponent();
            okButton.DialogResult = DialogResult.OK;
            cancelButton.DialogResult = DialogResult.Cancel;
        }

        public void GetData(out bool useCaptureStartTime, out DateTime captureStartTime)
        {
            useCaptureStartTime = useCaptureStartTimeCheckBox.Checked;
            captureStartTime = startDateTimePicker.Value;
        }

        public void SetData(bool useCaptureStartTime, DateTime captureStartTime)
        {
            useCaptureStartTimeCheckBox.Checked = useCaptureStartTime;
            startDateTimePicker.Value = captureStartTime;
        }

        private void currentDateTimeButton_Click(object sender, EventArgs e)
        {
            startDateTimePicker.Value = DateTime.Now;
        }
    }
}